---
title: La console
weight: 6
output: 
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<ul>
<li>Tout peut être fait avec la console.</li>
</ul>
<div id="fonctionnement." class="section level3">
<h3>Fonctionnement.</h3>
<p>Une ligne de saisie des commandes est indiquée par</p>
<ul>
<li>La ligne de saisie des commandes par défaut elle est indiquée par le symbole &gt;.</li>
<li>Des commandes R peuvent être saisies directement dans cette ligne.</li>
<li>La saisie finie, taper sur le bouton Entrée pour exécuter la commande.</li>
<li>Le résultat apparaît dans la console, sous la commande.</li>
<li>Un autre symbole &gt; apparait pour saisir une nouvelle commande.</li>
<li>Ctrl+L permet de nettoyer la console.</li>
</ul>
</div>
<div id="exercice" class="section level3">
<h3>Exercice</h3>
<ol style="list-style-type: decimal">
<li>Recopier et exécuter le code suivant dans la console:</li>
</ol>
<pre class="r"><code>(1+sqrt(5))/2</code></pre>
<ol start="2" style="list-style-type: decimal">
<li>Saisissez la commande pour effectuer un calcul de votre choix.</li>
</ol>
</div>
<div id="correction" class="section level3">
<h3>Correction</h3>
<p><img src="images/p5.png" />
### Remonter l’historique des commandes
Si le curseur est positionné dans la console:</p>
<ul>
<li>la flèche vers le haut permet de remonter l’historique des commandes,</li>
<li>ctrl+r permet de rechercher dans l’historique des commandes.</li>
</ul>
</div>
<div id="plusieurs-commandes-à-la-fois" class="section level3">
<h3>Plusieurs commandes à la fois</h3>
<p>Plusieurs commande peuvent être saisie sur une même ligne si elles sont séparées par un point virgule.</p>
<ul>
<li>Exécuter</li>
</ul>
<pre class="r"><code>log(1);2&lt;1;paste0(&quot;a&quot;,&quot;b&quot;)</code></pre>
</div>
